<WeatherScreen>:

    weather_status_label: weather_status
    weather_data_text_input: weather_data

    BoxLayout:
        orientation: 'vertical'

        BoxLayout:

            Button:
                size_hint: None, None
                size: 80, 80
                text: '<'
                on_release:
                    root.manager.transition.direction = 'right'
                    root.manager.current = 'MainScreen'

            Label:
                text: 'WEATHER'

        BoxLayout:
            size_hint_y: None
            size: 40, 40

            Label:
                size_hint_y: None
                size: 40, 40
                text: 'Status: '

            Label:
                id: weather_status
                size_hint_y: None
                size: 40, 40
                text: ''

        TextInput:
            size_hint_y: 4.5
            id: weather_data
